;################################################
;               OPPONENT DATA                   #
;                                               #
;################################################
hand_weapon     = 1
gun_weapon      = 5


hunter          = 2
enemy_titan     = 3
enemy_tomahawk  = 6
enemy_skybol    = 7
enemy_redeye    = 8
enemy_ash       = 9
enemy_target    = 22
enemy_scorp2    = 16
enemy_sphere    = 21
enemy_enfor     = 7
enemy_anticronus = 23

enemy_final1    = 11
enemy_final2    = 14
enemy_final3    = 17


titan           = 3
spitfire        = 4
sea_lance       = 5
tomahawk        = 6

boss_ace        = 10
boss_ion        = 12
boss_mirage     = 13

spy             = 18
enemy_ispy      = 19
torpid          = 20


OPPONENTS:
;------------------------------------------------
CRONUS:
;
; Edgars' robot of choice.  CRONUS will be your
; starting robot.  It's stats are well-balanced,
; but it lacks the advanced firepower of most
; other bots.  To change this, Edgar will have to
; discover the secret behind Rare Sigma.
;
;-------------------------------------------------
e1:
.db 1                   ; player's starting ATK
.db 1                   ; player's starting DFN
.db 1                   ; player's starting SPE
.db 1                   ; Weapon = FIST
.db 0                   ; (TECH) A Cronus has no power attacks
.db 0                   ; (TECH) B 
.db 0                   ; (TECH) C
.db $00                 ; Type = none  Class = Destroyer
.db 0                   ; Armor = none
.db 1                   ; Starting level = 1 (**this MUST be non-zero!)
.db 1                   ; Image = Cronus(1)

;-------------------------------------------------
HUNTER:
;
; The dreaded Hunter is a fully-functioning
; automated tank.  It's the basic "grunt" enemy.
; The Hunter's unpredictable gun attacks are tricky,
; but its low levels usually mean Cronus has an
; advantage.  Up to two Hunters will respond to
; any robot that uses the "Flares" move.  As such,
; they make a good duo with the Spy bot: where
; Spies provide assistance and Hunters provide the
; firepower.
;
;-------------------------------------------------
e2:
.db 0                   ; relative ATK
.db 0                   ; relative DFN
.db 0                   ; relative SPE 
.db gun_weapon          ; weapon = BUCKSHOT(8)
.db 0                   ; TECH A
.db 0                   ; TECH B
.db 0                   ; TECH C
.db $01                 ; Type = null  Class = Defender
.db 0                   ; armor = none
.db 0                   ; Relative level
.db 9                   ; Image = Tank(9)

;-------------------------------------------------
TITAN:
;
; A powerful gaurdian robot.  Like HUNTER, it depends
; on melee moves to fight and commonly appears
; inside Edmund's Darkstar bases. 
;-------------------------------------------------
e3:
.db -3                  ; Relative ATK
.db 6                   ; Relative DFN
.db 1                   ; Relative SPE
.db gun_weapon          ; weapon = guns
.db 0                   ; TECH A
.db 0                   ; TECH B
.db 0                   ; TECH C
.db $01                 ; Type = NULL  Class = Defender
.db 0                   ; armor = none
.db 5                   ; Relative level
.db 4                   ; Image = Jetpack Titan(4)

;-------------------------------------------------
SPITFIRE:
;
; The standard defense robot in EDMUNDs mechanical
; army.  The SPITFIRE Firebot is a basic type-enabled
; opponent for this game.  Its ability to inflict
; suprising burn damage makes it a great adversary
; for anyone.
;-------------------------------------------------
e4:
.db -1                  ; Relative ATK
.db 1                   ; Relative DFN
.db 10                  ; Relative SPE
.db hand_weapon         ; Weapon = hands
.db 18                  ; tech 1 = FORGE (25%)
.db 11                  ; tech 2 = FIRE (12.5%)
.db 11                  ; tech 3 = FIRE (12.5%)
.db $12                 ; Type = FIRE   Class = Healer
.db 0                   ; Armor = none
.db 0                   ; Relative level
.db 2                   ; Image = Taller "Cronus"

;-------------------------------------------------
; AQUILA
;
; The dangerous ice-capable opponent
;
;-------------------------------------------------
e5:
.db 4                   ; Relative ATK = 4
.db 4                   ; Relative DFN = 4
.db 4                   ; Relative SPE = 4
.db hand_weapon         ; Weapon = hands
.db 18                  ; tech 1 = FORGE (25%)
.db 12                  ; tech 2 = ICE (12.5%)
.db 12                  ; tech 3 = ICE (12.5%)
.db $22                 ; Type = ICE   Class = Healer
.db 0                   ; Armor = none
.db 0                   ; Relative level
.db 5                   ; Image = Short Robot


;-------------------------------------------------
TOMAHAWK:
;
; The TOMAHAWK uses a missile-based attack group
; to decimate opponents that travel in clustered groups.
;
; First appearance: Desoto
;-------------------------------------------------
e6:
.db 4                   ; Relative ATK = 4
.db 4                   ; Relative DFN = 4
.db 4                   ; Relative SPE = 4
.db hand_weapon         ; Weapon
.db 13                  ; tech 1 = BLAST (25%)
.db 18                  ; tech 2 = FORGE (12.5%)
.db 13                  ; tech 3 = BLAST (12.5%)
.db $32                 ; Type = BOMB  Class = Healer
.db 0                   ; armor = none
.db 0                   ; Relative level
.db 3                   ; Image = Cyclops

;-------------------------------------------------
ENFORCER:
;
; The rare Enforcer's job is to compliment the
; SPY'S Healing/Sabotage abilities with some
; Defender/Destroyer abilities.  The are summoned
; only by the SPY's flare attack.  Enforcers will
; also mimmic any timed attack abilities the
; gamer tries
;
;-------------------------------------------------
e7:
.db -1                  ; relative ATK
.db -1                  ; relative DFN
.db 5                   ; relative SPE 
.db 9                   ; weapon = Fist #2 (the weak one)
.db 0                   ; TECH A =
.db 0                   ; TECH B =
.db 0                   ; TECH C =
.db $E0                 ; Type = special  Class = Defender
.db 0                   ; armor = none
.db 0                   ; Relative level
.db 5                   ; Image = Small Bot

;-------------------------------------------------
RED_EYE:
;
; The deadly red eye uses LASER attacks to bring
; down your maximum HP.  (The effects are
; temporary.)
; 
;-------------------------------------------------
e8:
.db 4                   ; Relative ATK
.db 4                   ; Relative DFN
.db 4                   ; Relative SPE
.db hand_weapon         ; Weapon
.db 15                  ; tech 1 = LASER (25%)
.db 21                  ; tech 2 = SHIELD (12.5%)
.db 21                  ; tech 3 = SHIELD (12.5%)
.db $53                 ; Type = LASER  Class = Defender
.db 0                   ; Armor
.db 0                   ; Relative level
.db 3                   ; Image = Cyclops

; THE BOSSES

;-------------------------------------------------
Lt_ASH:
;
;-------------------------------------------------
e9:
.db -15                 ; Relative ATK
.db -8                  ; Relative DFN
.db 0                   ; Relative SPE
.db hand_weapon         ; Weapon type
.db 11                  ; tech 1 = FIRE (25%)
.db 18                  ; tech 2 = HP MEND (12.5%)
.db 18                  ; tech 3 = HP MEND (12.5%)
.db $10                 ; Type = FIRE  Class = Destroyer
.db 0                   ; armor = none
.db 31                  ; Relative level
.db 11                  ; Image = Boss

;-------------------------------------------------
Lt_ACE:
; Lt. A.C.E.
;
;-------------------------------------------------
e10:
.db -27                 ; Relative ATK
.db -17                 ; Relative DFN
.db 10                  ; Relative SPE
.db hand_weapon         ; Weapon
.db 13                  ; tech 1 = BLAST (25%)
.db 18                  ; tech 2 = HP MEND (12.5%)
.db 17                  ; tech 3 = PULSE (12.5%)
.db $30                 ; Type = BLAST  Class = Destroyer!
.db 40                  ; Armor = Level-1 Anti-Melee
.db 26                  ; Relative level
.db 11                  ; Image = Boss

;-------------------------------------------------
; THE SPY
;
; Edmund's bio-mechanical hybrid will search for
; threatening targets and alert ENFORCERS drones to
; thier position with its optical Flares.  In a 
; pinch, these Flares double as a weak offensive
; attack.  Its matter synthesis projector can
; repair or duplicate any ally within its
; effictive range
;-------------------------------------------------
e11:
.db 0                   ; Relative ATK
.db 0                   ; Relative DFN
.db 10                  ; Relative SPE
.db 10                  ; Weapon = Flares
.db 18                  ; tech 1 = HP MEND
.db 34                  ; tech 2 = Clone
.db 0                   ; tech 3 = 
.db $43                 ; Type = spark  Class = saboteur
.db 0                   ; armor = none
.db 0                   ; Relative level
.db 7                   ; Image = eye

;-------------------------------------------------
Lt.ion:
; Lt. ION
;
; With ION guarding the LAKESHORE base along with
; Lt MIRAGE, Edgar will have to be doubly-careful
; before taking one IONs devestating spark moves.
; ION's aftershock abilites and strong anti-energy
; armor will make it a tough obstacle to pass.
; However, its weak melee attack may give some the
; upper hand
;-------------------------------------------------
e12:
.db -35                 ; Relative ATK
.db -20                 ; Relative DFN
.db 0                   ; Relative SPE
.db hand_weapon         ; Weapon = Shooting
.db 14                  ; tech 1 = SPARK (25%)
.db 18                  ; tech 2 = HP MEND
.db 21                  ; tech 3 = SHIELD (12.5%)
.db $40                 ; Type = SPARK  Class = Destroyer
.db 45                  ; armor = level 3 anti-power
.db 33                  ; Relative level
.db 11                  ; Image = Boss


;-------------------------------------------------
; Lt MIRAGE
;
; With the possibility of removing the Las Vegas map
; from the game to save RAM, I'm not sure that
; Lt. MIRAGE will make an appearance in 1p mode.
;
; I will also tell you that all of the bosses so far
; are named after popular calculator shell programs!
;
;-------------------------------------------------
e13:
.db -35                 ; Relative ATK
.db -20                 ; Relative DFN
.db 0                   ; Relative SPE
.db 9                   ; Weapon = Fist #2 (the weak one)
.db 15                  ; tech 1 = LASER (25%)
.db 18                  ; tech 2 = HP MEND (12.5%)
.db 15                  ; tech 3 = LASER (12.5%)
.db $51                 ; Type = LASER  Class = Saboteur
.db 44                  ; armor = Level 3 anti-melee
.db 33                  ; Relative level
.db 11                  ; Image = Boss

;-------------------------------------------------
Edm_beta:
;
;-------------------------------------------------
e14:
.db -10                 ; Relative ATK
.db -10                 ; Relative DFN
.db -20                 ; Relative SPE
.db hand_weapon         ; Weapon = Melee
.db 11                  ; tech 1 = FIRE
.db 23                  ; tech 2 = TELEPORT
.db 11                  ; tech 3 = FIRE
.db $00                 ; Type = null  Class = Destroyer
.db 0                   ; Armor = none
.db 33                  ; Relative level
.db 11                  ; Image = Boss

; THE SCORP

; Flagship product of the venerable defense contractor: "ESS-Corp".
; The SCORP robot is the  militarys' answer to the hostile robot 
; invasion.  This robot elite is like a specialized version
; of the SPITFIRE, but is stronger by almost every regard.

;-------------------------------------------------
; SCORP (version 1.0)
;
; THE SCORP test version first appears in the
; final round of the Cape City tournament.
; SCORP's weapons allow it to dispence deadly
; fire attacks along with the sheild move; which
; provides it's main defense
; 
;-------------------------------------------------
e15:
.db -13                 ; Relative ATK
.db 18                  ; Relative DFN
.db 0                   ; Relative SPE
.db gun_weapon          ; Weapon = guns
.db 11                  ; tech 1 = FIRE
.db 18                  ; tech 2 = HP MENU
.db 11                  ; tech 3 = FIRE
.db $10                 ; Type = FIRE  Class = Destroyer
.db 0                   ; Armor = none
.db 14                  ; Relative level
.db 6                   ; Image = Scorpion Tank

;-------------------------------------------------
; SCORP (version 2.0)
;
; The SCORP upgrade as the same moves as the
; original, but also uses IRON armor to
; defend itself from melee moves.  Hence, the
; SCORP-II cannot be destroyed by any melee attack
;-------------------------------------------------
e16:
.db -33                 ; Relative ATK
.db -18                 ; Relative DFN
.db 0                   ; Relative SPE
.db gun_weapon          ; Weapon = guns
.db 11                  ; tech 1 = FIRE (25%)
.db 23                  ; tech 2 = TELEPORT (12.5%)
.db 21                  ; tech 3 = SHIELD (12.5%)
.db $10                 ; Type = FIRE  Class = Destroyer
.db 45                  ; Armor = level 3 anti-energy
.db 63                  ; Relative level
.db 6                   ; Image = Scorpion Tank

;-------------------------------------------------
Edm_ohmega
; 
;-------------------------------------------------
e17:
.db 10                  ; Relative ATK
.db 10                  ; Relative DFN
.db -10                 ; Relative SPE
.db gun_weapon          ; Weapon = Shooting
.db 23                  ; tech 1 = TELEPORT
.db 25                  ; tech 2 = FLUX
.db 25                  ; tech 3 = FLUX
.db $00                 ; Type = NULL   Class = Destroyer
.db 44                  ; Armor = Ruby
.db 33                  ; Relative level
.db 11                  ; Image = Boss

;-------------------------------------------------
; The SPY (2)
;
; The enhanced spy is a little more threatening
; than its basic cousin.  In addition to Flares,
; the new variant can apply a Gravity attack to
; possibly paralyze enemies
;-------------------------------------------------
e18:
.db 0                   ; Relative ATK
.db 0                   ; Relative DFN
.db 15                  ; Relative SPE
.db 10                  ; Weapon = Flares
.db 18                  ; tech 1 = FORGE
.db 34                  ; tech 2 = CLONE
.db 16                  ; tech 3 = GRAVITY
.db $43                 ; Type = SPARK  Class = saboteur
.db 0                   ; armor = none
.db 0                   ; Relative level
.db 7                   ; Image = eye

;-------------------------------------------------
; The i-SPY
;
; An invisible SPY.  Invisibility will give the
; iSpy the advantage of being totally hidden
; from the player unit it attacks.  Sweeping the
; area with your target reticle always solves that
; problem.  iSPYs are identically-equipped as the
; standard SPY.
;-------------------------------------------------
e19:
.db 0                   ; Relative ATK
.db 0                   ; Relative DFN
.db 10                  ; Relative SPE
.db 0                   ; Weapon = none
.db 14                  ; tech 1 = SPARK (25%)
.db 17                  ; tech 2 = PULSE (12.5%)
.db 16                  ; tech 3 = GRAVITY (12.5%)
.db $43                 ; Type = SPARK  Class = saboteur
.db 0                   ; armor = none
.db 0                   ; Relative level
.db 23                  ; Image = blank (invisible)


;-------------------------------------------------
; IGNITRON
;
; The ignitron's unique mix of teleport, flame,
; and spark tactics make it a highly unpredictable
; adversary.
;-------------------------------------------------
e20:
.db -10                 ; Relative ATK
.db -10                 ; Relative DFN
.db 40                  ; Relative SPE
.db 23                  ; Weapon = TELEPORT (50%)
.db 14                  ; tech 1 = SPARK (25%)
.db 14                  ; tech 2 = SPARK (12.5%)
.db 16                  ; tech 3 = GRAVITY (12.5%)
.db $40                 ; Type = SPARK  Class = Destroyer
.db 0                   ; Armor
.db 26                  ; Relative level
.db 8                   ; Image = Ignitron

;-------------------------------------------------
; BATTALION
;
; This mysterious robot uses an advanced
; cloning/synthesis array to quickly outnumber the
; opposition.  Unless destroyed quickly, it can easily
; plague the playfield with clones until there
; is no room left.
;-------------------------------------------------
e21:
.db -12                 ; Relative ATK
.db -7                  ; Relative DFN
.db 10                  ; Relative SPE
.db gun_weapon          ; Weapon
.db 34                  ; tech 1 = Clone
.db 34                  ; tech 2 = Clone
.db 34                  ; tech 3 = Clone
.db $43                 ; Type = SPARK  Class = Saboteur
.db 0
.db 14                  ; Relative level
.db 8                   ; Image = Ignitron

;-------------------------------------------------
; TARGET
;
; The practice target appears only in choice
; locations on RW.  Its purpose is to provide
; a low-risk means of gaining small amounts of EXP
;
; The targets 0-speed means that it can never
; successfully launch any attacks
;
; Defeating all 3 targets in one turn results in
; the player earning a top-secret SIGMA-type
; move
;-------------------------------------------------
e22:
.db 0                   ; Relative ATK
.db 0                   ; Relative DFN
.db 0                   ; Relative SPE
.db 0                   ; No weapon
.db 0                   ; tech 1 = 
.db 0                   ; tech 2 = 
.db 0                   ; tech 3 = 
.db $03                 ; Type = null  Class = Defender
.db 0                   ; armor = none
.db 0                   ; Relative level
.db 12                  ; Image = Target

;-------------------------------------------------
; ANTI-CRONUS
;
; (This robot was added to the game at the last
; minute)
;
; Lurid the Hitman commands one of the strongest
; opponents in the game.  The Anti-Cronus is
; specificaly engineered to counteract virtually
; all strategies the game offers.  It's main
; weapon is TELEPORTATION, which is the ultimate
; tool for tuning a player's own attacks against
; him.  It also uses FORCE to corrupt the
; gamer's teammates. However, its dependence on
; these energy attacks makes BUFFER its greatest
; weakness.
;-------------------------------------------------
e23:
.db 0                   ; Relative ATK
.db 30                  ; Relative DFN
.db 0                   ; Relative SPE
.db gun_weapon          ; Weapon
.db 23                  ; tech 1 = TELEPORT (25%)
.db 22                  ; tech 2 = FORCE (12.5%)
.db 24                  ; tech 3 = STASIS (12.5%)
.db $00                 ; Type = null  Class = Destroyer
.db 42                  ; armor = Level-2 Anti-Mell (Iron)
.db 63                  ; Relative level
.db 1                   ; Image = Cronus

e_names:
.db 0                   ; Zero inserted for search optimisation purposes
.db "CRONUS",0          ; 1
.db "HUNTER",0
.db "TITAN",0
.db "SPITFIRE",0
.db "AQUILA",0          ; 5
.db "TOMAHAWK",0
.db "ENFORCER",0
.db "RED EYE",0
.db "Lt.ASH",0
.db "Lt.ACE",0          ; 10
.db "SPY",0
.db "Lt.ION",0
.db "Lt.MIRAGE",0
.db "EDMUND",0                  ; Edmund #1
.db "SCORP",0           ; 15
.db "SCORP",0
.db "EDMUND ",$CA,0             ; Edmund final!
.db "SPY",0
.db "i-SPY",0
.db "IGNITRON",0          ;20
.db "BATTALION",0          
.db "TARGET",0
.db "AntiCRONUS",0
