;-----------------------\
; IN: B = library       |
;         element       |
;     DE= row:col       |
;------------------------
LIBRARY:		; Common strings displayer...
 push de
 push bc
 ld hl,library_strings  ; ...used in RW 1
 xor a
 or b
 jr z,l_invalid		; Jump if this is a null string ( =0)
l_scan:
 ld c,$FF               ; <-- C must be bigger than the longest string
 xor a
 cpir			; Scan for 0's at ends of strings
 djnz l_scan
l_invalid:
 ld (GRAF_CURS),de
 ROM_CALL(D_ZM_STR)
 pop bc
 pop de
 ret
;################################################
;
; ROBOT WAR 2 TEXT LIBRARY
;
; The following contains a list of commonly-used
; text strings.
; 
;################################################
library_strings:
str_null:
.db "---",0             ; 0 ; Null string.  Used for blank spaces.
.db "Fist",0            ;
.db "Blade",0           ;   
.db "Axe",0             ;
.db "Iron Fist",0       ;
.db "Vulcan",0          ; 5
.db "Carbine",0         ;   
.db "Cannon",0          ;
.db "Hellfire",0        ;
.db "Fist",0            ; (Fist 2)
.db "Flares",0          ; 10
.db "FIRE",0            ; 
.db "ICE",0             ;
.db "BLAST",0           ;
.db "SPARK",0           ;   
.db "LASER",0           ; 15
.db "GRAVITY",0         ;
.db "PULSE",0           ;
.db "FORGE",0           ;
.db "RENEW",0           ;
.db "DEFEND",0          ; 20
.db "SHIELD",0          ;
.db "FORCE",0           ;               
.db "TELEPORT",0        ;               
.db "STASIS",0          ;             
.db "FLUX",0            ; 25            
.db "Repair",0          ; 
.db "Repair DX",0       ;   
.db "Energy",0          ;
.db "Energy DX",0       ;
.db "ATK surge",0       ; 30
.db "DFN surge",0       ; 
.db "Rapid SPE",0       ;   
.db "Renewal",0         ;
.db "Clone",0           ;
.db "Arson",0           ; 35
.db "Rebuild",0         ; (formerly "add"
.db "Add+",0            ; (formerly "multiply")
.db "Multiply+",0       ; (formerly "divide")
.db "Negate+",0         ;
.db "JADE",0            ; 40 Anti-melee armor
.db "STEEL",0           ;    Anti-energy armor
.db "DIAMOND",0         ;
.db "SILVER",0          ;
.db "RUBY",0            ; 
.db "PLATINUM",0        ; 45
.db "KEY",0             ; 
.db "GLOVES",0          ;
.db "PASS",0            ;
.db "FINS",0            ;
.db "CAPE CITY",0       ; 50
.db "MADISON",0         ; 
.db "DESOTO",0          ;
.db "LAKESHORE",0       ;
.db "SABLE",0           ; 54
.db "Destroyer",0       ; 55
.db "Saboteur",0        ; 56
.db "Healer",0          ; 57
.db "Defender",0        ; 58

library_blade           = 2
library_axe             = 3
library_iron_fist       = 4
library_carbine         = 6
library_cannon          = 7
library_hellfire        = 8

library_repair          = 26
library_repair_dx       = 27
library_energy          = 28
library_energy_dx       = 29
library_atk             = 30
library_dfn             = 31
library_spe             = 32
library_renewal         = 33
library_clone           = 34
library_arson           = 35
library_rebuild         = 36

library_add             = 37
library_multiply        = 38
library_negate          = 39

library_jade            = 40
library_steel           = 41
library_diamond         = 42
library_silver          = 43
library_ruby            = 44
library_platinum        = 45

library_key             = 46


gloves                  = 47
pass                    = 48
fins                    = 49
library_fins            = 49

library_cape            = 50
library_madison         = 51
library_desoto          = 52
library_lakeshore       = 53
library_sable           = 54
