Exit:
        ld sp,(INIT_SP)
        call RELOC_INSTALL      ; Make sure the relocation code is in place
        res 7,(IY+$14)          ; Restore default setting
        set 1,(IY+$0D)          ; Restore default setting
        call RecreateTemp
        jp Terminate



RelocRoutines:
adj = RELOCADDR-RelocRoutines
DeleteTemp =$+adj
        call DeRelocate
        ROM_CALL(3620h-1Ah)
        jr Relocate
RecreateTemp =$+adj
        call DeRelocate
        ROM_CALL(38EAh-1Ah)
Relocate:
        xor a
        jr DoDeRelocate
DeRelocate =$+adj
        ld a,1
DoDeRelocate:
        push hl
        push af
		ld hl,VarName
		rst 20h
		ROM_CALL(213Eh-1Ah)
        inc de
        inc de
        ex de,hl
        pop bc
DoTerminate:
        ld de,StartAddr
        sbc hl,de
        rla
        add hl,de
        xor b
        ld bc,ProgSize
        rra
        jr nc,DoReloc
        add hl,bc
        ld de,StartAddr+ProgSize-1
ReverseSwapBytes:
        dec hl
	ld a,(de)
        ldd
        inc hl
	ld (hl),a
	ld a,b
	or c
        jr nz,ReverseSwapBytes
        pop hl
	ret
SwapBytes =$+adj
        push hl
DoReloc:
	ld a,(de)
	ldi
	dec hl
	ld (hl),a
	inc hl
	ld a,b
	or c
	jr nz,DoReloc
        pop hl
	ret

Terminate =$+adj
        call DeRelocate
        pop hl
        push hl
        jr DoTerminate

CreateVar =$+adj
        push hl
        push de
        call DeRelocate
        pop hl
        rst 20h
        pop hl
        ROM_CALL(23B1h-1Ah)             ;_CREATEPRGM
        ld (hl),6       ;lock prgm
        push de
        call Relocate+adj
        pop de
        ret

InsertMem =$+adj
 push hl
 push de
 push hl
 call DeRelocate
 ld hl,LVarName
 rst 20h
 ROM_CALL(213Eh-1Ah)
 pop bc
 push de
 ex de,hl ;hl = size
 call LD_HL_MHL
 add hl,bc
 ex de,hl
 pop hl
 ld (hl),e
 inc hl
 ld (hl),d
 dec hl
 pop de     ;# of bytes to offset
 add hl,de
 ex de,hl
 pop hl
 ROM_CALL($2272-1Ah)
 jp Relocate+adj

DelMem =$+adj
 push hl
 push de

 push hl
 call DeRelocate
 ld hl,LVarName
 rst 20h
 ROM_CALL(213Eh-1Ah)
 pop bc

 push de
 ex de,hl ;hl = size
 call LD_HL_MHL
 or a
 sbc hl,bc
 ex de,hl
 pop hl

 ld (hl),e
 inc hl
 ld (hl),d
 dec hl
 pop de     
 add hl,de  ;hl = location
 pop de     ;de = # of bytes
 ROM_CALL($25A7-1Ah)
 jp Relocate+adj

VarName =$+adj
 .db 6,$DC,"Rwl",0      ; Name of *this* program.  CASE-SENSITIVE!!!
                        ; **Name must appear as it does when loaded to calc**

RelocRoutinesSize = $-RelocRoutines


CreateWorldVar:         ;HL = size of var to create, NewVarName contains name
                        ; NewVarName must not be in program code.. should be
                        ; in APD_BUF or graphmem or similar
        push hl
        ld a,(NewVarName)
        ROM_CALL(22C8h-1Ah)     ;check if there's enough ram
        pop hl
        ret c                   ;return if not
        ld de,NewVarName
        call CreateVar          ;create the variable
        or a
        ret                  ;now DE = addr of variable and HL = addr of VAT entry



_CHKFINDSYM:
    ROM_CALL(213Eh-1Ah)
	ret

filename = $ + 1
.db 5,"fileA",0

RELOC_INSTALL:
 call APD_CLEAR
 ld hl,RelocRoutines
 ld de,RELOCADDR
 ld bc,RelocRoutinesSize
 ldir
 ret


INIT_SP:
.dw $0000
