;################################################
;
; ROBOT WAR 2 HEADER FILE
;
; Warning: Changing some values may cause
; unpredicatable and disasterious results.
; If porting, please only change the necesary
; values.
;
; The "compatibility_ID" acts as both a version
; ID number and a checksum.  The first 128 bytes
; of saved data, plus the "Adj" variable must
; equal the compatibility ID or else and error
; message will result.
; 
;################################################
;-----MAIN MENU AND STARTGAME
compatability_ID = 0            ; This is the 1st major CrASH revision

SAVE_SIZE1   = 128                       ; Bytes of TEXT_MEM used for savegame
SAVE_SIZE2   = 39                        ; Bytes of TEXT_MEM2 used for saves
FILESIZE     = SAVE_SIZE1+SAVE_SIZE2     ; Length of savegame data
;-----IN GAME CONTROL------------
title_scroll_speed      = 8     ; Scroll titlescreen at this speed (high=slow)
ending_scroll_speed     = 16    ; no comment

starting_HP             = 20    ; HitPoints you have at the start of game
starting_EP             = 1     ; Energy you have at the start
starting_position       = 16    ; Starting X and Y position
starting_map_position   = 25    ; Starting X and Y position on the world map

minimum_enemy_hp        = 22 - 3; Weakest enemy has this much HP

rain_chance             = 128/8 ; Chance (max 127) of rain

; Target Range Data
inn_cost                = 10    ; Cost to repair whole team at inn
target_game_cost        = 18    ; Cost to play all target games

tournament_entry_cost   = 25    ; Cost (GOLD) to enter the CC tournament
tournament_winnings     = 100   ; Earn this much by surviving tournament

clock_mask              = 7     ; GameClock/Tile animation speed (Use: 255,127,63,31,15, etc)

gate_duration           = 60    ; Gate blocks turn solid again after this long

max_item_types          = 8     ; Legnth of item list

battle_chance           = 15    ; Random fight frequency (0-128) 128= high %
immunity_distance       = 7     ; Minimum distance between random battles

;-----MAPPING CONTROL------------
total_maps              = 22    ; This version (1.0) has maps 0 thru 21

quieting_duration       = 20    ; Prevent 1 keypress from being read as 2

boss_reward             = 150   ; Gold reward for gaining rank

LCD_WIDTH               = 12    ; Number of tile cols that can fit on-screen
LCD_HEIGHT              = 8     ; Number of tile rows that can fit on-screen
NUM_TILES               = 32    ; Number of tiles usable at once

;-----GRAPHICS CONTROL-----------
DefaultSpriteHeight     = 8     ; Used by Spr30ax.inc
#DEFINE NO_MOD_AX               ; Used by Spr30ax.inc

;-----BATTLENT.ASM CONTROLS------

flare_responder         = 7     ; The ENFORCER responds to flares

stat_maximum            = 127   ; Max value for ATK, DFN, and/or EP

max_robots              = 6                     ; Biggest battle possible
max_team                = max_robots / 2        ; Largest team possible

sigma_cost              = 4     ; *Use an even number

burn_damage             = 10    ; Damage inflicted by burns if you move
blast_damage            = 5     ; Number of DFN points taken by BLAST

enemy_item_stock        = 1     ; AI gets this many of each random item

stasis_image            = 10    ; Sprite for a frozen robot

blink_rate              = 4     ; Blink rate of battle cursors
                                ; (0 = fastest 7 = slowest)

report_delay            = 40    ; Delay while an attack is announced
report_delay2           = 35    ; Delay while displaying "mis" or "blk"
report_delay3           = 30    ; Delay while displaying "burn"

report_delay4           = 30    ; Delay for "x2 Hit" "Weak Hit" "Luck!" etc

hover_delay             = 40    ; Shooter "hovers" this long before attacking
null_anim_delay         = 50    ; Delay before non-animated attack lands
highlighter_delay       = 60    ; Delay while an attack is announced
highlighter_delay2      = 30    ; Delay while an item is announced <unused>

animate_delay           = 10    ; Attack animation frame rate
bright_flash            = 2     ; Delay of generic 'flash' animation(7)

poison_chance           = 128/3 ; Chance (out of 128) of getting burned/frozen
luck_chance             = 128/8 ; Chance (out of 128) of x2 luck bonus

hp_promote_rate         = 4     ; Raise HP by this much for each LEVEL UP


;pwr_differential        = 60    ; Strenght of alpha attack

minimum_damage          = 1     ; Minimum damage a normal attack can inflict
minimum_cost            = 4     ; Minimum EP cost for a PWR attack
ep_rate                 = 4     ; Minimum EP cost for a PWR attack

repair_heal_rate        = 100   ; HP points restored by one "Repair" item
energy_heal_rate        = 6     ; EP points restored by one "Energy" item
rebuild_heal            = 50    ; HP points restored by one "Rebuild" item

timed_attack_difficulty = 16    ; (Higher means easier)

;---LIBRARY.ASM and RULES.ASM CONTROLS
first_melee             = 1     ; Library number of first melee move
last_melee              = 10    ; Library numver of last melee move
first_power             = 11    ; Library number of first power attack
teleport                = 23    ; Number for "teleport"
first_bomb              = 13    ; Library number of first bomb move
last_bomb               = 13    ; Library number of last bomb move
last_elemental_power    = 15    ; Library number of last "element" power move
last_power              = 25    ; Library number of last power move
first_item              = 26    ; Library number of first item
last_combinable_item    = 35    ; Library number of last combinable item
rebuild                 = 36    ; Number of "Rebuild" item
first_item_enhancer     = 37    ; Library number of first combo item (ex:Add)
add                     = 37    ; Number of "Add" item
multiply                = 38    ; Number of "Multiply" item
negate                  = 39    ; Number for "Negate" item
last_item_enhancer      = 39    ; Library number of last combo item (ex:Nega)
last_battle_item        = 39    ; Lib number of last item usable in battle
first_armor             = 40    ; Lib number of first armor item
last_armor              = 45    ; Lib number of last armor item
first_game_item         = 46    ; Lib number of first in-game-only item
lib_key                 = 46    ; Number of "Key" item
last_game_item          = 49    ; Lib number of last in-game-only item
last_item               = 49    ; Lib number of the very last item
first_city              = 50    ; First string for a cityname (ex: Cape City)
last_city               = 54    ; Last string that's a cityname (ex: Sable)
first_role              = 55    ; First robot role type (for builder)







; TEXT MEMORY 1 (long term data)

HP              = TEXT_MEM      ; Robot 1 hitpoints (high byte)
HPL             = TEXT_MEM+1    ; (low byte)
CP              = TEXT_MEM+2    ; Robot 1 charge points
CPmax           = TEXT_MEM+3    ; 
PREREQ          = TEXT_MEM+4    ; <---,---,---,---,---,---,---,--->
STATUSL         = TEXT_MEM+5    ; <ice,store,---,burn,stsis,stsis,shld,shld>
HPmax           = TEXT_MEM+6    ; Maximum HP level
HPmaxL          = TEXT_MEM+7    ; (low byte)
ATTACK          = TEXT_MEM+8    ; Attack Power  (0-127)
DEFENSE         = TEXT_MEM+9    ; Defense Power (0-127)
ACCESSORY       = TEXT_MEM+10   ; Speed Power   (0-127)
ARMS            = TEXT_MEM+11   ; Weapon type [see library.asm]
TECHA           = TEXT_MEM+12   ; First power attack
TECHB           = TEXT_MEM+13   ; Seconds power attack
TECHC           = TEXT_MEM+14   ; Third power attack
TYPECLASS       = TEXT_MEM+15   ; Type (0-6) | Class (0-3)
ARMOR           = TEXT_MEM+16   ; Armor type [see library.asm]
LEVEL           = TEXT_MEM+17   ; Robot skill level (0-255)
IMAGE           = TEXT_MEM+18   ; Image set to use
TOGO            = TEXT_MEM+19   ; Experience points needed for next level up
TOGOL           = TEXT_MEM+20   ; (low byte)

HP1             = TEXT_MEM+21
HPL1            = TEXT_MEM+22
CP1             = TEXT_MEM+23
CPmax1          = TEXT_MEM+24
PREREQ1         = TEXT_MEM+25
STATUSL1        = TEXT_MEM+26
HPmax1          = TEXT_MEM+27
HPmaxL1         = TEXT_MEM+28
ATTACK1         = TEXT_MEM+29
DEFENSE1        = TEXT_MEM+30
ACCESSORY1      = TEXT_MEM+31
ARMS1           = TEXT_MEM+32
TECHA1          = TEXT_MEM+33
TECHB1          = TEXT_MEM+34
TECHC1          = TEXT_MEM+35
TYPECLASS1      = TEXT_MEM+36
ARMOR1          = TEXT_MEM+37
LEVEL1          = TEXT_MEM+38
IMAGE1          = TEXT_MEM+39
TOGO1           = TEXT_MEM+40
TOGOL1          = TEXT_MEM+41

HP2             = TEXT_MEM+42
HPL2            = TEXT_MEM+43
CP2             = TEXT_MEM+44
CPmax2          = TEXT_MEM+45
PREREQ2         = TEXT_MEM+46
STATUSL2        = TEXT_MEM+47
HPmax2          = TEXT_MEM+48
HPmaxL2         = TEXT_MEM+49
ATTACK2         = TEXT_MEM+50
DEFENSE2        = TEXT_MEM+51
ACCESSORY2      = TEXT_MEM+52
ARMS2           = TEXT_MEM+53
TECHA2          = TEXT_MEM+54
TECHB2          = TEXT_MEM+55
TECHC2          = TEXT_MEM+56
TYPECLASS2      = TEXT_MEM+57
ARMOR2          = TEXT_MEM+58
LEVEL2          = TEXT_MEM+59
IMAGE2          = TEXT_MEM+60
TOGO2           = TEXT_MEM+61
TOGOL2          = TEXT_MEM+62

NAME0           = TEXT_MEM+63   ; Name of robot 0.  10 character maximum
;
;
;
;
;
;
;
;
;
;
NAME1           = TEXT_MEM+74  ; Name of robot 1
;
;
;
;
;
;
;
;
;
;
NAME2           = TEXT_MEM+85 ; Name of robot 2
;
;
;
;
;
;
;
;
;
;
HOST            = TEXT_MEM+96   ; 1 if this calculator is a host
RANK            = TEXT_MEM+97   ; Player's ranking level
MAP_NUM         = TEXT_MEM+98   ; Number (0-21) of CURRENT_MAP
SAFEHOUSE       = TEXT_MEM+99   ; Number (0-21) of last checkpoint map
string          = TEXT_MEM+100  ; Used by Jimmy Mardels' DM_HL_DECI routine
;
;
;
;
;
;
CURRENT_MAP     = TEXT_MEM+107  ; Address of current level map
CURRENT_MAPL    = TEXT_MEM+108  ; (low byte)
CITY            = TEXT_MEM+109  ; Library number for current cityname
GOLD            = TEXT_MEM+110  ; Gold is used for money in RW2
GOLDL           = TEXT_MEM+111  ; (MSB)
HOURS           = TEXT_MEM+112  ; Psuedo Hours of gameplay (0-255)
MINUTES         = TEXT_MEM+113  ; Psuedo Minutes of gameplay (0-59)
SECONDS         = TEXT_MEM+114  ; Pseudo Seconds of gameplay (0-59)
FRAME           = TEXT_MEM+115  ; Pseudo Fractions of Seconds (0-adj)
STORY0          = TEXT_MEM+116  ; STORY-TRACKING FLAG 0 [see map.asm]
STORY1          = TEXT_MEM+117  ; STORY-TRACKING FLAG 1 [see map.asm]
STORY2          = TEXT_MEM+118  ; STORY-TRACKING FLAG 2 [see map.asm]
ALLIES          = TEXT_MEM+119  ; Number of allies on your team
BOTS            = TEXT_MEM+120  ; Number of robots on your team
REPEL_COUNT     = TEXT_MEM+121  ; No random battles if this is non-zero
MAP_WIDTH       = TEXT_MEM+122  ; Width of current map
MAP_HEIGHT      = TEXT_MEM+123  ; Height of current map
sox             = TEXT_MEM+124  ; Map Horizontal pixel offset [tmap20.inc]
ssx             = TEXT_MEM+125  ; Map Horizontal tile offset  
soy             = TEXT_MEM+126  ; Map Verticle pixel offset   
ssy             = TEXT_MEM+127  ; Map Horizontal tile offset 

;--------------------------------
; TEXT MEM 2                    ;
;                               ;
; Long-Term and Temp data       ;
;--------------------------------
LVarName        = TEXT_MEM2     ; Length of savegame name 
NewVarName      = TEXT_MEM2     ; Length of savegame name (shared space)
FILENAME1       = TEXT_MEM2+1   ; "f"
FILENAME2       = TEXT_MEM2+2   ; "i"
FILENAME3       = TEXT_MEM2+3   ; "l"
FILENAME4       = TEXT_MEM2+4   ; "e"
FILENAME5       = TEXT_MEM2+5   ; "A" or "B" or "C"
FILENAME6       = TEXT_MEM2+6   ; 0 ; Left 0 for string display purposes
ITEM1           = TEXT_MEM2+7   ; Player's Items (by class...)
;
;
;
;
;
;
;
G_AHEAD         = TEXT_MEM2+15  ; Grid number of tile in front of you
G_AHEADL        = TEXT_MEM2+16  ; (low byte)
G_NUM           = TEXT_MEM2+17  ; # Number of tile you're now touching
G_POS           = TEXT_MEM2+18  ; Current grid position 
G_POSL          = TEXT_MEM2+19  ; (low byte)
Y_POS           = TEXT_MEM2+20  ; Verticle pixel offset
X_POS           = TEXT_MEM2+21  ; Horizontal pixel offset
DIRECTION       = TEXT_MEM2+22  ; Facing direction and step
STOCK1          = TEXT_MEM2+23  ; Item stock
;
;
;
;
;
;
;
ROW_MAP         = TEXT_MEM2+31  ; Your last X position on the world map
COL_MAP         = TEXT_MEM2+32  ; Your last Y position on the world map
MAP_DIFFICULTY  = TEXT_MEM2+33  ; Level of enemies on current map (0-255)
VERIFY          = TEXT_MEM2+34  ; <email me>
;               = TEXT_MEM2+35  ; ** Reserved for forward-compatibility
;               = TEXT_MEM2+36  ; ** Reserved for forward-compatibility
;               = TEXT_MEM2+37  ; ** Reserved for forward-compatibility
;               = TEXT_MEM2+38  ; ** Reserved for forward-compatibility

; TEMPORARY DATA (Not stored to save files...)

_X              = TEXT_MEM2+39  ; General-purpose X pointer
_XL             = TEXT_MEM2+40  ; (low byte)
_Y              = TEXT_MEM2+41  ; General-purpose Y pointer
_YL             = TEXT_MEM2+42  ; (low byte)
BOSS            = TEXT_MEM2+43  ; 0=normal 1=boss battle 255=linked
SPEND           = TEXT_MEM2+44  ; Amount of Gold spent in the builder
ROTATION        = TEXT_MEM2+45  ; Zero if player can still STORE/WITHDRAW
SELECTOR        = TEXT_MEM2+46  ; Used for selection/targeting purposes
CURRENT_INT     = TEXT_MEM2+47  ; Address of last interrupt.
CURRENT_INTL    = TEXT_MEM2+48  ; (low byte)
BACKGROUND      = TEXT_MEM2+49  ; Current level's fight background address
;                               ; (2nd byte)
ai_team         = TEXT_MEM2+51  ; Which side is the AI team on?  4 = default
shared_rand     = TEXT_MEM2+52  ; Random number shared by linked players
power           = TEXT_MEM2+53  ; Power level of the next attack
_speed_temp     = TEXT_MEM2+54  ; Upcoming attack's speed (0-255)
_source_temp    = TEXT_MEM2+55  ; Upcoming attack's source (0-5)
_serial_temp    = TEXT_MEM2+56  ; Upcoming attack's serial [see library.asm]
_destination_temp = TEXT_MEM2+57; Upcoming attack's victim (0-5)
armor_mode      = TEXT_MEM2+58  ; Armor involved in the current attack
timing_bonus    = TEXT_MEM2+59  ; 2ND or ALPHA bonus for timed attack
int_redraw_off  = TEXT_MEM2+60  ; Non-zero disables redrawing in battle int
weather         = TEXT_MEM2+61  ; Current weater? 0 = normal ; non-zero = rain

; OTHER ASSIGNMENTS...

RELOCADDR       = APD_BUF+300   ; <-- The relocation code is installed to...
                                ; ..to this safe address...
                                ; ...[see relocate.asm]


