;################################################
;
; Compressed Battle Sprites Library
;
; ZCP compressed sprite
; data.  These sprites mainly appear within the
; battle segment of Robot War.  Some are parts
; of attack animations.
;
; Decompressed sprites are send to mapbuffer
; (see below)
;
;################################################

spr_rain        = $                     ; 5 ; address: mapbuffer
spr_robot0      = spr_rain+16           ; 9 ; cronus (1)
spr_robot1      = spr_robot0+16         ;19 ; spitfire (2)
spr_robot2      = spr_robot1+16         ;21 ; red eye (3)
spr_robot3      = spr_robot2+16         ;23 ; jetpack titan (4)
spr_robot4      = spr_robot3+16         ;25 ; sea lance (5)
spr_robot6      = spr_robot4+16         ;29 ; scorp (6)
spr_spy         = spr_robot6+16         ;31 ; spy (7)
spr_squid       = spr_spy+16            ;33 ; alien "sphere" (8)
spr_sphere      = spr_squid+16          ;35 ; hunter tank (9)
spr_stasis      = spr_sphere+16         ;37 ; crystalized robot
spr_boss        = spr_stasis+16         ;39 ; boss (11)
spr_target      = spr_boss+16           ;41 ; target (12)
spr_selector	= spr_target+16		;43 ; selector box
spr_targeter    = spr_selector+16       ;47 ; targeting recticle
spr_fire_0      = spr_targeter+16       ;49 ; frame 1
spr_fire_1	= spr_fire_0+16		;51 ; frame 2
spr_fire_2	= spr_fire_1+16		;53 ; frame 3
spr_explode_0	= spr_fire_2+16		;55 ;  frame 1
spr_explode_1	= spr_explode_0+16	;57 ;  frame 2
spr_explode_2	= spr_explode_1+16	;59 ;  frame 3
spr_laser_0	= spr_explode_2+16	;61 ; frame 1
spr_laser_1	= spr_laser_0+16	;63 ; frame 2
spr_blank       = spr_laser_1+16        ;67 ; eraser sprite
spr_rain_0	= spr_blank+16		;67 ;  frame 1
spr_rain_1	= spr_rain_0+16		;69 ;  frame 2
spr_lightning   = spr_rain_1+16         ;71 ; lightning field
spr_lightning2  = spr_lightning+16      ;73 ; lightning field 2
spr_shield1     = spr_lightning2+16     ;75 ; frame 2
spr_shield2	= spr_shield1+16	;77 ; frame 3
spr_shield3	= spr_shield2+16	;79 ; frame 4
spr_shieldicon	= spr_shield3+16	;83 ; Shield icon
spr_plus        = spr_shieldicon+16     ;85 ; "Powerup" icon
spr_ice         = spr_plus+16           ;86 ; Iced robot


; TEMPORARY MAP DATA BUFFER

;       Usage: If a map is being displayed, the mapbuffer will hold up 
; to 1024 bytes of decompressed tile data.  During battles, the buffer
; is used to hold battle graphics, attack data, robot positions,
; cursor data, etc.

; Usage in battlemode:
; mapbuffer - mapbuffer+543             holds temporary 8x8 sprites (544)
; mapbuffer+544 - mapbuffer+742         holds the 6x3x11 attack queue (199)
; mapbuffer+743 - mapbuffer+748         _squares (bot placeholders) table (6)
; mapbuffer+749 - mapbuffer+754         _battle_cursors table (6)
; mapbuffer+755 - mapbuffer+762         _item_temp (host's items) (8)
; mapbuffer+763 : mapbuffer+770         _item_temp2 (guest's items) (8)
; mapbuffer+771 : mapbuffer+778         _stock_temp (num of host's items) (8)
; mapbuffer+779 : mapbuffer+786         _stock_temp2 (num of guest's item)(8)
; mapbuffer+655                         <free for use>

mapbuffer:
.ds 1024                ; General-purpose 1024-byte buffer

attack_queue    = mapbuffer+544

_battle_cursors = mapbuffer+544+199

_squares        = mapbuffer+544+199+6

_item_temp      = mapbuffer+544+199+6+6

_item_temp2     = mapbuffer+544+199+6+6+8

_stock_temp     = mapbuffer+544+199+6+6+8+8

_stock_temp2    = mapbuffer+544+199+6+6+8+8+8

_battle_temp    = mapbuffer+544+199+6+6+8+8+8+8
;_hp             = _battle_temp

_hp3            = mapbuffer+544+199+6+6+8+8+8+8+63

_name0          =  mapbuffer+544+199+6+6+8+8+8+8+126

_name3          =  mapbuffer+544+199+6+6+8+8+8+8+126+33


SPRITES_0:
; sprites.zcp
; Non-compressed size = 528
; Compressed size     = 370
; Percentage          = 32%
; Bytes saved by ZCP  = 174 bytes
.db $7F,$C4,$84,$84,$09,$C0,$C0,$C0,$C0,$3F,$1A,$D0,$B8,$B6,$AE,$C8,$CC,$B0
.db $3F,$09,$C0,$F0,$BA,$F6,$8E,$88,$CC,$B0,$3F,$A0,$90,$B6,$8E,$8D,$CB,$D2
.db $93,$8C,$3F,$08,$CC,$F9,$F7,$D1,$C1,$91,$CC,$E6,$3F,$14,$E5,$CD,$BC,$CC
.db $89,$8C,$E0,$3F,$F0,$C4,$84,$8E,$8D,$C3,$C2,$92,$D4,$3F,$A4,$DE,$D0,$D3
.db $99,$CA,$88,$F8,$3F,$0A,$F0,$B0,$BE,$B1,$CD,$CC,$B3,$B3,$FC,$3F,$1D,$DF
.db $F1,$F9,$AA,$BF,$3F,$86,$84,$C4,$92,$99,$94,$C6,$B5,$8F,$3F,$81,$C6,$EF
.db $FF,$BD,$CC,$C9,$8C,$EC,$98,$3F,$F0,$C4,$DD,$AA,$D7,$A4,$A5,$EA,$84,$08
.db $FE,$BF,$9F,$CF,$E7,$F3,$F8,$B1,$48,$81,$C0,$E0,$B0,$98,$8C,$87,$CE,$BC
.db $BF,$BF,$5A,$BF,$8F,$98,$B8,$88,$1D,$C0,$F0,$4B,$BF,$DB,$C5,$A0,$81,$C4
.db $E2,$82,$08,$C0,$A4,$AA,$D2,$D8,$8A,$85,$FD,$4A,$BD,$DF,$AE,$82,$94,$8A
.db $C8,$88,$08,$C2,$A0,$D1,$D5,$E1,$B0,$97,$F7,$DD,$FB,$ED,$E2,$D0,$11,$E0
.db $E1,$88,$90,$C8,$D5,$A5,$E0,$E0,$CF,$C0,$3C,$52,$B7,$E7,$F3,$F6,$52,$3F
.db $BF,$F7,$DD,$DF,$4F,$B7,$BD,$48,$3F,$9F,$D7,$DF,$BE,$4A,$BE,$FD,$F5,$FC
.db $3F,$1A,$D0,$90,$94,$3F,$1A,$C1,$91,$0D,$C0,$80,$C4,$C1,$3F,$3F,$3F,$09
.db $C0,$A0,$95,$82,$C1,$A0,$D0,$80,$C0,$3F,$80,$C0,$A0,$92,$81,$80,$C0,$A0
.db $83,$7E,$AA,$D5,$AA,$D5,$AA,$D5,$AA,$D5,$AA,$7F,$E0,$8F,$F8,$83,$FE,$80
.db $48,$08,$4A,$87,$BD,$70,$9E,$90,$C0,$2B,$E1,$EF,$AF,$E7,$F3,$F9,$FD,$4F
.db $9E,$90,$D0,$98,$8C,$86,$82,$0F,$E1,$EF,$AF,$E7,$F3,$F9,$FD,$BD,$E1,$CF
.db $88,$A8,$8C,$86,$83,$81,$A1,$8F,$8A,$F0,$BC,$BF,$BF,$60,$A8,$FC,$9C,$84
.db $29,$E0,$90,$88,$84,$82,$81,$80,$4F,$90,$A9,$95,$EA,$A5,$82,$FF,$3F,$0B
.db $FE,$C1,$E1,$B0,$B8,$AD,$AF,$AA,$FE,$00
