;++++++++++++++++++++++++++++++++++++++++++++++++
; WINDOW (RECTANGLE) DRAWING                    +
;                                               +
; Routines on this file:                        +
;       output_window_preped                    +
;------------------------------------------------
;AFBCDEHL       "CLEAN WINDOW"                  +
;       Draw a window, but clear                +
;       the on-screen stuff behind it,first.    +
;                                               +
;       IN: DE = legnth in bytes : max height   +
;       OUT: Nothing!                           +
;       EXAMPLE: ld de,$0C40                    +
;                ld hl,$88B8    (0,0)           +
;                call OUTPUT_WINDOW_PREPED      +
;------------------------------------------------

;================================================
;               WINDOW DRAWER                   =
;       Draws either TEXT or MENU type          =
;       windows on-screen                       =
; IN:                                           =
;       HL = top-right corner of window         =
;       DE = legnth \ 8 : height		=
;                                               =
;  NEEDS:                                       =
;       "MENUWINDOW" will indicate a MENU win   =
;       "TEXTWINDOW" will indicate a TEXT win   =
;       "BASICWINDOW" makes a text window at the=
;               top-right corner of the screen  =
;               with 32 legnth.                 =
;================================================
WINDOW:
 DI
 push hl
 ld b,d
prep_window_newrow:
 push hl
 push bc
 ld b,e
prep_window:
 ld a,%0000000
 ld (hl),a
 call ADD_HL_12
 djnz prep_window
 pop bc
 pop hl
 inc hl
 djnz prep_window_newrow
 pop hl

OUTPUT_WINDOW:
 push hl
 ld b,d
window_top:
 ld a,%11111111
 ld (hl),a
 inc hl
 djnz window_top
 pop hl

 push hl
 ld b,e
window_left:
 call ADD_HL_12
 ld a,%10000000
 ld (hl),a
 djnz window_left
 pop hl

 ld b,d
window_right_find:
 inc hl
 djnz window_right_find
 dec hl
 ld b,e
 dec b
window_right:
 call ADD_HL_12
 ld a,%00000011
 ld (hl),a
 djnz window_right

 ld b,d
 call ADD_HL_12
window_bottom:
 ld a,%11111111
 ld (hl),a
 dec hl
 djnz window_bottom

 EI
 ret
