#include "crash82.inc"
#include "robot.h"

.org START_ADDR
StartAddr = $-3

str_title:
.db "ROBOT WAR: Standard",0


Init:                           ; *** Begin Game Setup Procedure
;-----
 ld a,(INT_STATE)               ; Check on the interrupt state
 or a                           ; Test for non-zero
 ret nz                         ; Refuse to run game if a backgroup program
;---APD BUFFER IS UNUSED---     ; ...is on.
Init_lable0:
 ld hl,TEXT_MEM2                ; Clear TEXT_MEM2
 ld de,TEXT_MEM2+1              ;
 ld (hl),0                      ;
 ld bc,127                      ;
 ldir                           ;

 call RELOC_INSTALL             ; Copy relocation code to APD_BUF+300

 ld hl,VarName
 rst 20h
 call _CHKFINDSYM
 ex de,hl
 inc hl
 inc hl
 push hl         ;save current prog addr
 call DeleteTemp
 ld a,5                         ; 5 = number of letters in "fileA"
 ld (NewVarName),a
 ld (INIT_SP),sp

;---- SYSTEM FLAGS SETUP
 set 1,(IY+$05)                 ; Always erase the pixel line below text
 set 7,(IY+$14)                 ; Write all text to GRAPH_MEM
; res 1,(IY+$0D)                ; Never affect TEXT_MEM when writing text
                                ; (CrASH already does this for you)

;----- DISPLAY UTI LOGO
 call GRAPH_CLEAR

 call APD_CLEAR                 ; Prep APD buffer
 ld de,ICONS                    ; Decompress 16x16 icons to APD_BUF
 ld hl,APD_BUF                  ;
 call DecodeZCP                 ; Decompress (size=512)

 ld hl,ICON_UTI                 ; Draw official UnitedTI.org logo
 ld de,GRAPH_MEM+257
 call _16BY16                   ; Display 16x16 icon
 ld hl,str_unitedti
 ld de,$251C
 call DMX2                      ; "UnitedTI.org"

 call CR_GRBCopy

 call CONFIRM_ALPHA             ; Proceed on 2ND or ALPHA only
 call FADE                      ; Visual fade effect


Init_lable1:
 call APD_CLEAR                 ; Prep APD buffer
 ld de,ICONS                    ; Decompress 16x16 icons to APD_BUF
 ld hl,APD_BUF                  ;
 call DecodeZCP                 ; Decompress (size=512)

 ld hl,filename - 1     ; [see relocate.asm]
 ld de,NewVarName       ; Restore NewVarName string to TEXT_MEM
 ld bc,7
 ldir
;---- CLEAR ANY RESIDUAL PLAYER DATA
; ld hl,TEXT_MEM         ; Erase TEXT_MEM's to prevent data from this...
; ld de,TEXT_MEM+1       ; ...file from "escaping" into other files.
; ld bc,SAVE_SIZE1 - 1   ;
; ld (hl),0              ;
; ldir                   ;

; ld hl,TEXT_MEM2+7              ; Clear TEXT_MEM2, but *DO NOT!* overwrite..
; ld de,TEXT_MEM2+7+1            ; ...the savegames name string or...
; ld bc,SAVE_SIZE2 - 7 - 1       ; ...its terminating zero.
; ld (hl),0                      ;
; ldir                           ;

 call TEXT_CLEAR

;----                           ; *** End Calculator Setup Procedure
TITLE_SCREEN:

TITLE_SCREEN2:
 call GRAPH_CLEAR               ; Clear away the titlescreen

 ld hl,ICON_ROBOTWAR0           ; Start drawing the "Robot War" symbol
 ld de,GRAPH_MEM+123
 call _16BY16                   ; Display 16x16 icon
 ld hl,ICON_ROBOTWAR1
 ld de,GRAPH_MEM+125
 call _16BY16
 ld hl,ICON_ROBOTWAR2
 ld de,GRAPH_MEM+127
 call _16BY16

 ld de,picture5                 ; Load picture of Cape Canavaral
 ld hl,GRAPH_MEM+324            ; Row 27
 call DecodeZCP                 ; Decode and display picture to screen
 call LETTERBOX                 ; Draw letterbox effect
 call CR_GRBCopy
 ld a,70
 call DELAY                     ; Hold for 1 about 1/2 second

 ld hl,str_push2nd              ; Display "PUSH 2ND"
 ld de,$2D23                    ;
 call DMX2                      ; 

intro_scroller_loop1:
 ld b,16                        ; Picture is 16 pixels high
 ld hl,GRAPH_MEM+515            ; Start at end of picture and move backwards
intro_scroller_loop0:
 call RIGHT_ROTATE              ; Rotate the row by 1 pixel
 dec hl                         ; Move up one row...
 dec hl
 dec hl
 dec hl
 dec hl
 dec hl
 dec hl
 dec hl
 dec hl
 dec hl
 dec hl
 dec hl
 djnz intro_scroller_loop0      ; Loop until all 16 row are rotated
 call CR_GRBCopy                ; Display the shifted picture
 ld a,title_scroll_speed        ; <-- scrolling speed
 call DELAY                     ; Slow down
 call GET_KEY                   ; Read keys for 2ND and ALPHA
 cp G_ALPHA                     ; ALPHA= exit to shell
 jp z,Exit
 cp G_2ND                       ; 2ND= continue
 jr z,FILE_SELECT
 jr intro_scroller_loop1        ; Don't stop scrolling

FILE_SELECT:
 call GRAPH_CLEAR               ; Clear away the titlescreen
 call LETTERBOX                 ; Bring back the letterbox

 set 3,(IY+$05)                 ; White text
 ld hl,str_fileselect           ; "File Select"
 ld de,$001D                    ;
 call DMX2                      ;

 ld hl,str_author               ; "Brady R. Mayes"
 ld de,$3920                    ;
 call DMX2                      ;
 res 3,(IY+$05)                 ; Normal text

 ld hl,tbl_fileselect           ; Table of File Select strings
 ld de,tbl_filepositions        ; Table of File Select string positions
 ld b,6                         ; Show 6 strings total
 call TEXT_ARRAY                ; <-- Displays multiple strings

 call APD_CLEAR                 ; Prep APD buffer
 ld de,ICONS                    ; Decompress 16x16 icons to APD_BUF
 ld hl,APD_BUF                  ;
 call DecodeZCP                 ; Decompress (size=512)

 ld hl,tbl_fileselect_icons     ; Table data for icons shown on File Select
 ld de,tbl_fileselect_positions ; Table data for positions of those icons
 ld a,6                         ; Show 6 icons to choose from
 call SPRITE_TV                 ; <-- Shows 16x16 icons and "TV Monitors"
 cp G_ALPHA                     ; Exit if user pressed Alpha...
 jp z,TITLE_SCREEN2             ; ...regardless of cursor's position
 ld a,c                         ; C = A = icon selected
 cp 6                           ; 6 = "info"
 jp z,Exit
 cp 5
 jp z,CREDITS
 cp 4
 jp z,HELP
STARTGAME:
 ld a,'@'                       ; Load ASCII value 'A' - 1
 add a,c                        ; '@' + 1 = 'A'. '@' + 2 = 'B'. etcetera!
 ld (FILENAME5),a               ; Alter name to save this file under.
 call RELOC_INSTALL             ; Reinstall Relocation Code

 ld hl,NewVarName               ; HL -> name of samegame variable
 rst 20h                        ; Copies (HL) -> (OP1)
 call _CHKFINDSYM               ; See if the variable exists already...
 jr c,no_load                   ; Jump if there's no file to load from
load:
 inc de                         ; Load Savegame data into text_memory...
 inc de                         ; ...and text_memory2 for game use
 ex de,hl                       ; Now HL=address of savegame
 ld de,TEXT_MEM                 ;
 ld bc,SAVE_SIZE1               ;
 ldir                           ; Now HL=address of savegame+128
 ld de,TEXT_MEM2                ;
 ld bc,SAVE_SIZE2               ;
 ldir
;---File Integrity check---------
 ld hl,FILENAME1
 ld a,'f'
 cpi                    ; Compare ; Increment HL ; Update Z flag
 jr nz,load_error
 ld a,'i'
 cpi                    ; Compare ; Increment HL ; Update Z flag
 jr nz,load_error
 ld a,'l'
 cpi                    ; Compare ; Increment HL ; Update Z flag
 jr nz,load_error

 call verification              ; Generate "checksum"
 cp (hl)                        ; Compare "checksums"
 jr nz,load_error

no_load:
 call LOAD_SAVE_WINDOW          ; Draw menu, filename, and info windows
 ld hl,str_play
 ld de,$1408
 ld a,1
 call MENU
 cp G_ALPHA
 jp z,FILE_SELECT               ; Alpha or "back" sends you to fileselect
GAME_BEGIN:
 ld hl,NewVarName               ; HL -> name of samegame variable
 rst 20h                        ; Copies (HL) -> (OP1)
 call _CHKFINDSYM               ; See if the variable exists already...
 jr c,CREATE_SAVEGAME           ; Creat a file if one doesn't exist yet
LOAD_SAVEGAME:
 jp MAP                         ; The player takes over from here!

load_error:
 ld hl,FILENAME1
 ld (hl),0              ; Place a 0 here so the corrupt data won't be shown
 call LOAD_SAVE_WINDOW  ; Display "ERROR" for corrupt save files or
 ld hl,str_error        ; VAT lookup errors (Lookup error was common in
 ld de,$1834            ; TI-82 CrASH shell)
 call DMX2
 call CR_GRBCopy
 call CONFIRM_ALPHA
 jp Init_lable1

verification:
 ld hl,TEXT_MEM
 ld b,SAVE_SIZE1
 xor a
sum:
 add a,(hl)
 cp compatability_ID
 jr nz,no_cpla
 cpl
no_cpla:
 inc hl
 djnz sum
 ld hl,VERIFY
 ret

CREATE_SAVEGAME:
 call TEXT_CLEAR

 ld hl,FILESIZE+2               ; Size of savegame variable?
 call CreateWorldVar            ; Try to create the variable
 jr c,no_memory
 inc de
 inc de                         ; Now DE = address of saved game data
 ld hl,map001
 ld (CURRENT_MAP),hl

 ld hl,TEXT_MEM                 ; Copy TEXT_MEM into save game file
 ld bc,SAVE_SIZE1               ;
 ldir
 ld hl,TEXT_MEM2                ; Copy TEXT_MEM2 into saved game file
 ld bc,SAVE_SIZE2
 ldir
 jp FIRST_RUN
no_memory:
 ld hl,str_low_mem
 ld de,$182F
 call DMX2
 call CR_GRBCopy
 call CONFIRM_ALPHA
 jp FILE_SELECT


CREDITS:
 ld hl,GRAPH_MEM+145            ; Credits window, centered
 ld de,$0A20                    ;
 call WINDOW                    ;

 ld hl,str_title
 ld de,$0E0E
 call DMX2

 ld hl,msg_version              ; Do version number and "UnitedTI.org"
 ld de,$1E0E                    ;
 call PARAGRAPH                 ;
 call CR_GRBCopy
 call CONFIRM_ALPHA
 jp FILE_SELECT


HELP:
 ld hl,GRAPH_MEM+38
 ld de,$083A
 call WINDOW
 ld hl,msg_help_keys
 ld de,$0519
 call PARAGRAPH
 call CR_GRBCopy
 call CONFIRM
 JP FILE_SELECT


;host_window:
;HOST_WINDOW:
; ld hl,GRAPH_MEM+96             ; Infomation window (The big window)
; ld de,$0C14                    ;
; call WINDOW                    ;

; ld hl,GRAPH_MEM+401            ; Choices window (The smaller window)
; ld de,$0614                    ;
; call WINDOW                    ;

; ld a,(HOST)
; cp 1
; jr z,disp_host
;disp_guest:

; ld hl,str_guest                ; Display "*2p Mode*"
; ld de,$0F06                    ; 
; jp DMX2                        ; DMX2 includes a "ret"
;disp_host:
; ld hl,str_host
; ld de,$0F0A
; jp DMX2







LOAD_SAVE_WINDOW:               ; ***NEEDS: Relocation Code in place***
 ld hl,GRAPH_MEM+192            ; "Back/Save" or "Back/Play" window
 ld de,$040E                    ;
 call WINDOW                    ;

 ld hl,GRAPH_MEM+384            ; Tiny window
 ld de,$0408                    ;
 call WINDOW                    ;

 ld hl,GRAPH_MEM+173            ; Large info window
 ld de,$071A                    ;
 call WINDOW                    ;

 ld hl,FILENAME1                ; display 'fileA' 'fileB' or 'fileC'...
 ld de,$2102                    ; ...in the tiny window
 call DMX2

 ld hl,NewVarName               ; HL -> name of samegame variable
 rst 20h                        ; Copies (HL) -> (OP1)
 call _CHKFINDSYM               ; See if the variable exists already...
 jr c,load_save_new             ; Jump if it doesn't exits yet.

 ld hl,msg_game_info            ; Display "time:  00:00" "gold" and "rank".
 ld de,$152A                    ;
 call PARAGRAPH                 ;

 ld a,(CITY)			; Display latest CITY visited
 ld b,a				;
 ld de,$0F2A			;
 call LIBRARY			;

 ld hl,(GOLD)                   ; Display your gold
 ld de,$1B3E                    ;
 call DMD2                      ; show the number <hl> at position <de>

 ld a,(RANK)                    ; Display player's ranking
 ld de,$213E                    ;
 ld hl,str_greeks               ;
 ld c,a                         ;
 ld b,0                         ;
 add hl,bc                      ;
 add hl,bc                      ;
 call DMX2                      ; show rank as a greek letter


 ld a,(HOURS)
 ld de,$153E
 cp 10
 jr nc,time_hours
 ld de,$1542
time_hours:
 ld l,a
 call DMD3                      ; show number <hl>, clear h first

 ld a,(MINUTES)
 ld de,$1548
 cp 10
 jr nc,time_minutes
 ld de,$154C
time_minutes:
 ld l,a
 call DMD3
 ret
load_save_new:
 ld hl,str_new                  ; Display "*NEW*"
 ld de,$1837                    ;
 call DMX2                      ;
 ret





tbl_fileselect:
.dw str_fileA
.dw str_fileB
.dw str_fileC
.dw str_help
.dw str_info
.dw str_exit

tbl_filepositions:
.dw $1910               ; Location of "fileA"
.dw $1928               ; fileB
.dw $1940               ; fileC
.dw $3110               ; HELP
.dw $3128               ; INFO
.dw $3141               ; EXIT

tbl_fileselect_icons:
.dw ICON_STARTGAME      ; "Startgame" icon
.dw ICON_STARTGAME      ;
.dw ICON_STARTGAME      ;
.dw ICON_HELP           ; "Help" icon
.dw ICON_INFO           ; "Info" icon
.dw ICON_EXIT           ; "Exit" icon

tbl_fileselect_positions:
.dw GRAPH_MEM+110       ; Position data for icons on the mainscreen
.dw GRAPH_MEM+113       ;
.dw GRAPH_MEM+116       ;
.dw GRAPH_MEM+398       ;
.dw GRAPH_MEM+401       ;
.dw GRAPH_MEM+404       ;



;
; Exterior resources.  Shown in order of implementation

#include "relocate.asm"         ; Relocation code and filename
#include "window.asm"           ; Window drawer
#include "math.asm"             ; Basic arithmatic routines
#include "io.asm"               ; Basic input/output routines
#include "zcpdecod.asm"         ; Decompression utility
#include "backdrop.asm"         ; Backdrop images
#include "text.asm"             ; Standard Edition text
#include "general.asm"          ; Small, frequently-used routines
#include "icons.asm"            ; 16x16 icons
#include "spriteTV.asm"         ; Icon-based menu system
#include "menu.asm"             ; Basic menu
#include "library.asm"          ; Special string displayer
#include "sprites.asm"          ; Battle sprites
#include "builder.asm"          ; ROBOT BUILDER
#include "spr30ax.inc"          ; Sprite drawer
#include "battle.asm"           ; Non-Linked battle
#include "enemies.asm"          ; Opponents, Attacks, Names
#include "rules.asm"            ; Attack data
#include "tmap20.inc"           ; Tilemap rendering software
#include "map.asm"              ; Mapping and level control

ProgSize = $-StartAddr

.end
